OMPAYOMPAY
API ReferenceEndpointsMerchant hosted

Create a merchant-hosted order

Creates an order for the merchant-hosted flow. The docs show the order payload returned as orderId, receiptId, amount, and currency.

POST
/order

Authorization

basicAuth signatureAuth
AuthorizationBasic <token>

In: header

X-Signature<token>

In: header

Header Parameters

X-MERCHANT-BROWSER-FINGERPRINT*string

Merchant browser fingerprint header shown in the docs.

X-MERCHANT-USER-AGENT*string

User agent forwarded by the merchant.

X-MERCHANT-DOMAIN*string

Merchant domain origin.

Formaturi
X-MERCHANT-IP*string

Merchant IP address.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.uat.gateway.ompay.com/nac/api/v1/merchant-host/order" \  -H "X-MERCHANT-BROWSER-FINGERPRINT: string" \  -H "X-MERCHANT-USER-AGENT: string" \  -H "X-MERCHANT-DOMAIN: http://example.com" \  -H "X-MERCHANT-IP: string" \  -H "Content-Type: application/json" \  -d '{    "amount": 0,    "currency": "string",    "uiMode": "string",    "customerFields": {      "name": "string",      "email": "user@example.com",      "phone": "string"    }  }'
{
  "resCode": 0,
  "status": "string",
  "data": {
    "orderId": "string",
    "receiptId": "string",
    "amount": 0,
    "currency": "string"
  }
}
{
  "resCode": 0,
  "status": "failure",
  "errMessage": "string"
}
{
  "resCode": 0,
  "status": "failure",
  "errMessage": "string"
}
{
  "resCode": 0,
  "status": "failure",
  "errMessage": "string"
}